org.apache.hc.core5.http.protocol

## Class DefaultHttpProcessor

- java.lang.Object
- - org.apache.hc.core5.http.protocol.DefaultHttpProcessor

- All Implemented Interfaces:
    HttpRequestInterceptor, HttpResponseInterceptor, HttpProcessor

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public final class DefaultHttpProcessor
      extends Object
      implements HttpProcessor

  Default immutable implementation of `HttpProcessor`.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpProcessor(HttpRequestInterceptor... requestInterceptors)`
    `DefaultHttpProcessor(HttpRequestInterceptor[] requestInterceptors, HttpResponseInterceptor[] responseInterceptors)`
    `DefaultHttpProcessor(HttpResponseInterceptor... responseInterceptors)`
    `DefaultHttpProcessor(List<HttpRequestInterceptor> requestInterceptors, List<HttpResponseInterceptor> responseInterceptors)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(HttpRequest request, EntityDetails entity, HttpContext context)` Processes a request.
    `void` | `process(HttpResponse response, EntityDetails entity, HttpContext context)` Processes a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultHttpProcessor

          public DefaultHttpProcessor(HttpRequestInterceptor[] requestInterceptors,
                                      HttpResponseInterceptor[] responseInterceptors)

    - #### DefaultHttpProcessor

          public DefaultHttpProcessor(List<HttpRequestInterceptor> requestInterceptors,
                                      List<HttpResponseInterceptor> responseInterceptors)

      Since:
        4.3

    - #### DefaultHttpProcessor

          public DefaultHttpProcessor(HttpRequestInterceptor... requestInterceptors)

    - #### DefaultHttpProcessor

          public DefaultHttpProcessor(HttpResponseInterceptor... responseInterceptors)

  - ### Method Detail

    - #### process

          public void process(HttpRequest request,
                              EntityDetails entity,
                              HttpContext context)
                       throws IOException,
                              HttpException

      Description copied from interface: `HttpRequestInterceptor`
      Processes a request. On the client side, this step is performed before the request is sent to the server. On the server side, this step is performed on incoming messages before the message body is evaluated.
      Specified by:
        `process` in interface `HttpRequestInterceptor`
      Parameters:
        `request` - the request to process
        `entity` - the request entity details or `null` if not available
        `context` - the context for the request
      Throws:
        `IOException` - in case of an I/O error
        `HttpException` - in case of an HTTP protocol violation

    - #### process

          public void process(HttpResponse response,
                              EntityDetails entity,
                              HttpContext context)
                       throws IOException,
                              HttpException

      Description copied from interface: `HttpResponseInterceptor`
      Processes a response. On the server side, this step is performed before the response is sent to the client. On the client side, this step is performed on incoming messages before the message body is evaluated.
      Specified by:
        `process` in interface `HttpResponseInterceptor`
      Parameters:
        `response` - the response to process
        `entity` - the request entity details or `null` if not available
        `context` - the context for the request
      Throws:
        `IOException` - in case of an I/O error
        `HttpException` - in case of an HTTP protocol violation

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.